Generate tokens for a trusted partner on behalf of one of its users
POST
/api/v1/auth/delegated/token
const url = 'https://example.com/api/v1/auth/delegated/token';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"device":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/delegated/token \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "device": "example", "name": "example" }'Creates access tokens for third-party services to act on behalf of their users who don’t have direct platform accounts
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
device
string
name
required
string
Examplegenerated
{ "device": "example", "name": "example"}Responses
Section titled “Responses”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
object
token
required
string
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "message": "success", "status": "OK"}